"""utiles"""

from __future__ import annotations

from typing import Sequence, Tuple, Union

from utiles._utiles import (
    TILETYPE_GIF,
    TILETYPE_JPG,
    TILETYPE_JSON,
    TILETYPE_PBF,
    TILETYPE_PBFGZ,
    TILETYPE_PNG,
    TILETYPE_UNKNOWN,
    TILETYPE_WEBP,
    Bbox,
    LngLat,
    LngLatBbox,
    Tile,
    __build_profile__,
    __version_lib__,
    _coords,
    _parse_tile_arg,
    _xy,
    bounding_tile,
    bounds,
    children,
    coords,
    feature,
    from_pmtileid,
    from_tuple,
    geojson_bounds,
    geotransform2optzoom,
    lnglat,
    minmax,
    neighbors,
    parent,
    parse_tile_arg,
    parse_tiles,
    pmtileid,
    pmtileid2xyz,
    qk2xyz,
    quadkey,
    quadkey2xyz,
    quadkey_to_tile,
    simplify,
    tile,
    tiles,
    tiles_count,
    tiles_list,
    tiletype,
    tiletype2headers,
    tiletype_str,
    truncate_lnglat,
    ul,
    ut_cli,
    xy,
    xy_bounds,
    xyz,
    xyz2quadkey,
)

TileLike = Union[Tile, Tuple[int, int, int]]
TileArg = Union[TileLike, Sequence[TileLike]]

__version__ = __version_lib__
__all__ = (
    "Bbox",
    "LngLat",
    "LngLatBbox",
    "TILETYPE_GIF",
    "TILETYPE_JPG",
    "TILETYPE_JSON",
    "TILETYPE_PBF",
    "TILETYPE_PBFGZ",
    "TILETYPE_PNG",
    "TILETYPE_UNKNOWN",
    "TILETYPE_WEBP",
    "Tile",
    "__build_profile__",
    "__version__",
    "__version_lib__",
    "_coords",
    "_parse_tile_arg",
    "_xy",
    "bounding_tile",
    "bounds",
    "children",
    "coords",
    "feature",
    "from_pmtileid",
    "from_tuple",
    "geojson_bounds",
    "geotransform2optzoom",
    "lnglat",
    "minmax",
    "neighbors",
    "parent",
    "parse_tile_arg",
    "parse_tiles",
    "pmtileid",
    "pmtileid2xyz",
    "qk2xyz",
    "quadkey",
    "quadkey2xyz",
    "quadkey_to_tile",
    "simplify",
    "tile",
    "tiles",
    "tiles_count",
    "tiles_list",
    "tiletype",
    "tiletype2headers",
    "tiletype_str",
    "truncate_lnglat",
    "ul",
    "ut_cli",
    "xy",
    "xy_bounds",
    "xyz",
    "xyz2quadkey",
)
